Bug 971077 - Rest API - Can't update edit-permissions of site, page
Rest API - Can't update edit-permissions of site, page
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER02
: 6.1.0
Assigned To: Nick Scavelli
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:39 EDT by mgottval
Modified: 2015-02-08 16:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 09:24:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3103 Major Resolved Edit permissions are not updated in REST API 2014-01-14 02:47:51 EST

  None (edit)
Description mgottval 2013-06-05 11:39:31 EDT
When updating entity of Site or Page, it is impossible to change just edit-permissions.
When I create JSON entity to be updated, there are access-permission set to some value, edit-permissions to different value, in result both are set to value of access-permissions. 
When there are just access-permissions set in the JSON, result is ok, just the value of access-permissions is changed.
But when there are only edit-permissions set in JSON that I want to update, I'm getting HTTP/1.1 500 Internal Server Error.
Comment 2 mgottval 2013-07-08 12:17:52 EDT
Verified on JPP 6.1.0.ER2

Note You need to log in before you can comment on or make changes to this bug.